<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="top-urls-by-client_host">

 <lire:title>Most Requested URLs By Client Host WWW Report</lire:title>

 <lire:description>
  <para>This report shows the most requested URLs by client host.</para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="url_to_show" type="int" default="5">
   <lire:description>
    <para>This parameter controls the number of URLs to
     display for each client host.
    </para>
   </lire:description>
  </lire:param>

  <lire:param name="client_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of client host to
     display.
    </para>
   </lire:description>
  </lire:param>

 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Most Requested URLs, Top $client_to_show, Top $url_to_show URLs</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-requests_total" limit="$client_to_show">
   <lire:field name="client_host"/>

   <lire:group sort="-requests_total" limit="$url_to_show">
    <lire:field name="requested_page"/>

    <lire:count name="requests_total" label="Requests"/>
    <lire:count name="requests_ratio" ratio="table" label="% Total"/>
    <lire:count name="requests_group_ratio" ratio="group" label="% Group"/>
   </lire:group>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
